C Functions which return useful numbers 
C
C   nelev_bcs - number of elevation boundary nodes
C   nbc_time_steps - number of time steps in the boundary condition time series
C   ntime_steps - number of time steps in a single run of saco or moody   
C   nnodes   - number of horizontal nodes in the mesh
C   nelems   - number of horizontal elements 
C   nobservations - number of velocity observations
C   nelevobservations - number of elevation observations
C   max_iterations()
C   descent_code() 
C   
C
      integer function nelev_bcs()
	 include 'CASCO.DIM'
	 include 'mesh.h'

	 nelev_bcs = nr

      return
      end

      integer function nbc_time_steps()
	 include 'CASCO.DIM'
	 include 'deltabcs.h'

	 nbc_time_steps = ntbc 

      return
      end

      integer function ntime_steps()
	 include 'CASCO.DIM'
	 include 'sacotime.h'

	 ntime_steps = nsteps 

      return
      end

      integer function nnodes()
	 include 'CASCO.DIM'
	 include 'mesh.h'

	 nnodes = nn

      return
      end

      integer function nelems()
	 include 'CASCO.DIM'
	 include 'mesh.h'

	 nelems = ne

      return
      end

      integer function nobservations()
	 include 'CASCO.DIM'
	 include 'observes.h'

	 nobservations = nobs

      return
      end

      integer function nelevobservations()
	 include 'CASCO.DIM'
	 include 'observes.h'

	 nelevobservations = n_eobs

      return
      end

      integer function max_iterations() 
	  include 'casco_params.h'

	  max_iterations = itermax

      return
      end

      integer function descent_code() 
	  include 'casco_params.h'

	  descent_code = method_descent

      return
      end

